import request from '@/utils/request'

// 查询破产公告信息列表
export function listAnnouncement(query) {
    return request({
        url: '/crmBankruptcyAnnouncement/findByPage',
        method: 'get',
        params: query
    })
}

// 查询破产公告信息详细
export function getAnnouncement(id) {
    return request({
        url: '/crmBankruptcyAnnouncement/' + id,
        method: 'get'
    })
}

// 新增破产公告信息
export function addAnnouncement(data) {
    return request({
        url: '/crmBankruptcyAnnouncement',
        method: 'post',
        data: data
    })
}

// 修改破产公告信息
export function updateAnnouncement(data) {
    return request({
        url: '/crmBankruptcyAnnouncement',
        method: 'put',
        data: data
    })
}

// 删除破产公告信息
export function delAnnouncement(id) {
    return request({
        url: '/crmBankruptcyAnnouncement/deleteAll',
        method: 'delete'
    })
}
// 批量删除行政许可
export function delAnnouncementBatch(ids) {
    console.log(ids);
    return request.post('/crmBankruptcyAnnouncement/delete',ids)
}